Bug 1196712 - cmpi-bindings: FTBFS with SWIG 3.0.5
Summary: cmpi-bindings: FTBFS with SWIG 3.0.5
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cmpi-bindings
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-26 15:09 UTC by Jitka Plesnikova
Modified: 2015-06-30 00:20 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-30 00:15:18 UTC


Attachments (Terms of Use)
Fix comments for SWIG 3.0.5 (6.41 KB, patch)
2015-02-26 15:09 UTC, Jitka Plesnikova
no flags Details | Diff

Description Jitka Plesnikova 2015-02-26 15:09:11 UTC
Created attachment 995667 [details]
Fix comments for SWIG 3.0.5

The build failed with following error:

/builddir/build/BUILD/cmpi-bindings-0.9.5/swig/python/../cmpi.i:983: Error: Unknown SWIG preprocessor directive: Definitions (if this is a block of target language code, delimit it with %{ and %})
/builddir/build/BUILD/cmpi-bindings-0.9.5/swig/python/../cmpi_defs.i:1: Error: Unknown SWIG preprocessor directive: cmpi (if this is a block of target language code, delimit it with %{ and %})
/builddir/build/BUILD/cmpi-bindings-0.9.5/swig/python/../cmpi_defs.i:3: Error: Unknown SWIG preprocessor directive: swig (if this is a block of target language code, delimit it with %{ and %})

https://koji.fedoraproject.org/koji/taskinfo?taskID=9081067


The comments in the files starts with #, but such comments are not allowed  outside of %pythoncode/%perlcode block. Otherwise, these comments are handled by preprocessor as a macro.

The issue was previously ignored, but now it is reported as error.

SWIG allows C++-style comments. So, to fix the issue,  the lines which start with # but which aren't preprocessor statements should be changed. 

I created patch and it fixed the build issue for me in rawhide.

Fedora 21 and higher are affected.

Comment 1 Fedora Update System 2015-06-18 08:16:24 UTC
cmpi-bindings-0.9.5-8.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cmpi-bindings-0.9.5-8.fc22

Comment 2 Fedora Update System 2015-06-18 08:31:43 UTC
cmpi-bindings-0.9.5-8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cmpi-bindings-0.9.5-8.fc21

Comment 3 Fedora Update System 2015-06-18 08:39:22 UTC
cmpi-bindings-0.9.5-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cmpi-bindings-0.9.5-5.fc20

Comment 4 Fedora Update System 2015-06-21 00:01:09 UTC
Package cmpi-bindings-0.9.5-8.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cmpi-bindings-0.9.5-8.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10208/cmpi-bindings-0.9.5-8.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-06-30 00:15:18 UTC
cmpi-bindings-0.9.5-8.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-06-30 00:20:06 UTC
cmpi-bindings-0.9.5-8.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.